/******************************************************************************/
/*Files to Include                                                            */
/******************************************************************************/

#include <xc.h>         /* XC8 General Include File */


#include <stdint.h>         /* For uint8_t definition */
#include <stdbool.h>        /* For true/false definition */

/******************************************************************************/
/* Interrupt Routines                                                         */
/******************************************************************************/


void interrupt isr()
{
    
    if (INTCONbits.INTE & INTCONbits.INTF) /* external interrupt flag, wireless signal*/
    {
        RunCountdown();
        INTCONbits.INTF = 0; /* Clear Interrupt Flag 1 */
    }
}


