/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/


#include <xc.h>         /* XC8 General Include File */

#include <stdint.h>         /* For uint8_t definition */
#include <stdbool.h>        /* For true/false definition */

#include "user.h"

/******************************************************************************/
/* User Functions                                                             */
/******************************************************************************/

/* <Initialize variables in user.h and insert code for user algorithms.> */

void InitApp(void)
{
    CLRWDT();

    ANSELbits.ANS0 = 0; //set to digital
    TRISAbits.TRISA0 = 0; //set RA0 as green LED output

    ANSELbits.ANS1 = 0;
    TRISAbits.TRISA1 = 0; //set RA1 as red LED output

    ANSELHbits.ANS10 = 0;
    TRISBbits.TRISB4 = 0; //set RB4 as solenoid_gate_activator output

    ANSELbits.ANS3 = 0;
    TRISAbits.TRISA4 = 0; //set RA4 as buzzer output

    ANSELbits.ANS2 = 0;
    TRISAbits.TRISA2 = 1; //set RA2 as input interrupt


    PORTAbits.RA0 = 0;
    PORTAbits.RA1 = 0;
    PORTAbits.RA2 = 0;
    PORTAbits.RA4 = 0;

    /* Setup analog functionality and port direction */

    /* Initialize peripherals */

    /* Enable interrupts */ 
}

